#
# spec file for package kcoreaddons
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
%define lname   libKF5CoreAddons5
%define _tar_path 5.32
Name:           kcoreaddons
Version:        5.32.0
Release:        1.3
BuildRequires:  cmake >= 3.0
BuildRequires:  extra-cmake-modules >= %{_tar_path}
BuildRequires:  fdupes
BuildRequires:  kf5-filesystem
%if %{with lang}
BuildRequires:  cmake(Qt5LinguistTools) >= 5.6.0
%endif
BuildRequires:  shared-mime-info
BuildRequires:  cmake(Qt5Core) >= 5.6.0
Requires:       shared-mime-info
%if %{with lang}
Recommends:     %{name}-lang = %{version}
%endif
Summary:        Utilities for core application functionality and accessing the OS
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
KCoreAddons provides classes built on top of QtCore to perform various tasks
such as manipulating mime types, autosaving files, creating backup files,
generating random sequences, performing text manipulations such as macro
replacement, accessing user information and many more.

%package -n %lname
Summary:        Utilities for core application functionality and accessing the OS
Group:          System/GUI/KDE
Recommends:     %{name} = %{version}
%requires_ge libQt5Core5

%description -n %lname
KCoreAddons provides classes built on top of QtCore to perform various tasks
such as manipulating mime types, autosaving files, creating backup files,
generating random sequences, performing text manipulations such as macro
replacement, accessing user information and many more.

%package devel
Summary:        Utilities for core application functionality and accessing the OS
Group:          Development/Libraries/KDE
Requires:       %lname = %{version}
Requires:       %{name} = %{version}
Requires:       extra-cmake-modules
Requires:       cmake(Qt5Core) >= 5.6.0

%description devel
KCoreAddons provides classes built on top of QtCore to perform various tasks
such as manipulating mime types, autosaving files, creating backup files,
generating random sequences, performing text manipulations such as macro
replacement, accessing user information and many more. Development files.

%lang_package
%prep
%setup -q

%build
  %cmake_kf5 -d build -- -Dlconvert_executable=%{_kf5_libdir}/qt5/bin/lconvert -DKDE4_DEFAULT_HOME=".kde4"
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes %{buildroot}

%if %{with lang}
%find_lang %{name}5 --with-qt --without-mo
%endif

%post -n %lname -p /sbin/ldconfig

%post
%mime_database_post

%postun -n %lname -p /sbin/ldconfig

%postun
%mime_database_postun

%if %{with lang}
%files lang -f %{name}5.lang
%endif

%files
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_appsdir}/mime/packages/kde5.xml
%{_kf5_datadir}/

%files -n %lname
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_libdir}/libKF5CoreAddons.so.*

%files devel
%defattr(-,root,root)
%{_kf5_bindir}/desktoptojson
%{_kf5_libdir}/libKF5CoreAddons.so
%{_kf5_libdir}/cmake/KF5CoreAddons/
%{_kf5_includedir}/
%{_kf5_mkspecsdir}/qt_KCoreAddons.pri

%changelog
* Sun Mar 19 2017 lbeltrame@kde.org
- Update to 5.32.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.32.0.php
- Changes since 5.31.0:
  * Commit translations from l10n-kf5
  * Fix compilation with Qt 5.6.
  * Upgrade ECM and KF5 version requirements for 5.32.0 release.
  * Exclude (6)
  * Move the isDir() outside of the loop, as spotted by Milian.
  * KDirWatch: replace QList<Client *> by std::vector<Client> to save on new/delete.
  * Upgrade KF5 version to 5.32.0.
  * KDirWatch: fix memory leak on destruction.
* Thu Feb  9 2017 hrvoje.senjan@gmail.com
- Update to 5.31.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.31.0.php
- Drop parse-the-desktop-file-2-times.patch
* Wed Jan 11 2017 hrvoje.senjan@gmail.com
- Add parse-the-desktop-file-2-times.patch: keeping backward
  compatibility is backward
* Mon Jan  9 2017 hrvoje.senjan@gmail.com
- Update to 5.30.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.30.0.php
* Sun Dec  4 2016 hrvoje.senjan@gmail.com
- Update to 5.29.0
  * KTextToHtml: fix bug "[1] added at the end of a hyperlink"
    (kde#343275)
  * KUser: Only search for an avatar if loginName isn't empty
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.29.0.php
* Sat Nov  5 2016 hrvoje.senjan@gmail.com
- Update to 5.28.0
  * Display bad url
  * Load user avatars from AccountsServicePath if it exists
    (kde#370362)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.28.0.php
* Sun Oct  9 2016 hrvoje.senjan@gmail.com
- Update to 5.27.0
  * Register QPair<QString,QString> as metatype in KJobTrackerInterface
  * Don't convert as url an url which has a double-quote character
    (boo#1002977, CVE-2016-7966)
  * Windows compile fix
  * Fix very old bug when we remove space in url as "foo <<url> <url>>"
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.27.0.php
- Drop upstreamed
  0001-Fix-very-old-bug-when-we-remove-space-in-url-as-foo-.patch
  0002-Don-t-convert-as-url-an-url-which-has-a.patch
* Thu Oct  6 2016 hrvoje.senjan@gmail.com
- Added 0001-Fix-very-old-bug-when-we-remove-space-in-url-as-foo-.patch
  0002-Don-t-convert-as-url-an-url-which-has-a.patch (CVE-2016-7966)
* Tue Sep  6 2016 hrvoje.senjan@gmail.com
- Update to 5.26.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.26.0.php
* Sun Aug  7 2016 hrvoje.senjan@gmail.com
- Update to 5.25.0
  * Qt >= 5.5 is now required
  * Install known licenses and find them at runtime (regression fix)
    (kde#353939)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.25.0.php
* Wed Jul  6 2016 hrvoje.senjan@gmail.com
- Update to 5.24.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.24.0.php
* Mon Jun  6 2016 hrvoje.senjan@gmail.com
- Update to 5.23.0
  * Print the failing plugin when notifying a cast warning
  * [kshareddatacache] Fix invalid use of & to avoid unaligned reads
  * Kdelibs4ConfigMigrator: skip reparsing if nothing was migrated
  * krandom: Add testcase to catch bug 362161 (failure to auto-seed)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.23.0.php
* Sat May  7 2016 hrvoje.senjan@gmail.com
- Update to 5.22.0 (boo#980066)
  * Provide a way to disable inotify use in KDirWatch
  * Fix KAboutData::applicationData() to init from current
    Q*Application metadata
  * Make clear that KRandom is not recommended for cryptography purposes
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.22.0.php
- Drop upstreamed 0001-Missing-rand-qrand.patch
* Wed Apr 27 2016 hrvoje.senjan@gmail.com
- Added 0001-Missing-rand-qrand.patch (kde#362161)
* Mon Apr  4 2016 hrvoje.senjan@gmail.com
- Update to 5.21.0 (boo#974793)
  * Fix kcoreaddons_desktop_to_json() on windows
  * Fix linking to a Threads library
  * Add stubs to allow compilation on Android
  * Upgrade Qt version requirement to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.21.0.php
* Sun Mar  6 2016 hrvoje.senjan@gmail.com
- Update to 5.20.0 (boo#970856)
  * Fix Kdelibs4 config migration for Windows
  * Add API to get Frameworks runtime version info
  * KRandom: Don't use up 16K of /dev/urandom to seed rand()
    (kde#359485)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.20.0.php
- Use %%mime_database_post(un) macros
* Sat Feb  6 2016 hrvoje.senjan@gmail.com
- Update to 5.19.0 (boo#967668)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.19.0.php
* Sat Jan  2 2016 hrvoje.senjan@gmail.com
- Update to 5.18.0
  * Add KAboutData::fromPluginMetaData(const KPluginMetaData &plugin)
  * Add KPluginMetaData::copyrightText(), extraInformation() and
    otherContributors()
  * Add KPluginMetaData::translators() and KAboutPerson::fromJson()
  * Fix use-after-free in desktop file parser
  * Make KPluginMetaData constructible from a json path
  * desktoptojson: make missing service type file an error for the binary
  * Make calling kcoreaddons_add_plugin without SOURCES an error
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.18.0.php
* Fri Dec 11 2015 hrvoje.senjan@gmail.com
- Update to 5.17.0
  * KAboutData: Allow https:// and other URL schemas in homepage.
    (kde#355508)
  * Repair MimeType property when using kcoreaddons_desktop_to_json()
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.17.0.php
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.16.0 (boo#955067)
  * KAboutData: apidoc "is is" -> "is" addCredit(): ocsUserName -> ocsUsername
  * KJob::kill(Quiet) should also exit the event loop
  * Add support for desktop file name to KAboutData
  * Use correct escaping character
  * Reduce some allocations
  * Make KAboutData::translators/setTranslators simple
  * Fix setTranslator example code
  * desktopparser: skip the Encoding= key
  * desktopfileparser: Address review comments
  * Allow setting service types in kcoreaddons_desktop_to_json()
  * desktopparser: Fix parsing of double and bool values
  * Add KPluginMetaData::fromDesktopFile()
  * desktopparser: Allow passing relative paths to service type files
  * desktopparser: Use more categorized logging
  * QCommandLineParser uses -v for --version so just use --verbose
  * Remove lots of duplicated code for desktop{tojson,fileparser}.cpp
  * Parse ServiceType files when reading .desktop files
  * Make SharedMimeInfo an optional requirement
  * Remove call to QString::squeeze()
  * desktopparser: avoid unnecessary utf8 decoding
  * desktopparser: Don't add another entry if entry ends in a separator
  * KPluginMetaData: Warn when a list entry is not a JSON list
  * Add mimeTypes() to KPluginMetaData
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.16.0.php
* Mon Oct  5 2015 hrvoje.senjan@gmail.com
- Update to 5.15.0
  * KShell::splitArgs: only ASCII space is a separator, not unicode
    space U+3000 (kde#345140)
  * KDirWatch: fix crash when a global static destructor uses
    KDirWatch::self() (kde#353080)
  * Fix crash when KDirWatch is used in Q_GLOBAL_STATIC.
  * KDirWatch: fix thread safety
  * Clarify how to set KAboutData constructor arguments.
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.15.0.php
* Tue Sep  8 2015 hrvoje.senjan@gmail.com
- Update to 5.14.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.14.0.php
* Tue Aug  4 2015 hrvoje.senjan@gmail.com
- Update to 5.13.0
  * The Qt version requirement has been bumped from 5.2 to 5.3
  * Debug output has been ported to categorized output, for less
    noise by default
  * Docbook documentation has been reviewed and updated
  * Add Kdelibs4Migration::kdeHome() for cases not covered by resources
  * Fix tr() warning
  * Fix KCoreAddons build on Clang+ARM
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.13.0.php
* Sun Jul  5 2015 hrvoje.senjan@gmail.com
- Update to 5.12.0
  * KDirWatch: Only establish a connection to FAM if requested
  * Allow filtering plugins and applications by formfactor
  * Make it possible to use desktoptojson from different sources
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.12.0.php
* Sun Jun  7 2015 hrvoje.senjan@gmail.com
- Update to 5.11.0
  * New KPluginLoader::findPluginById() convenience API
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.11.0.php
* Sun May  3 2015 hrvoje.senjan@gmail.com
- Update to 5.10.0
  * New cmake macro kcoreaddons_add_plugin to create
    KPluginLoader-based plugins more easily.
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.10.0.php
* Sat Apr  4 2015 hrvoje.senjan@gmail.com
- Update to 5.9.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.9.0.php
* Sat Mar  7 2015 hrvoje.senjan@gmail.com
- Update to 5.8.0
  * KPluginMetadata: add support for Hidden key
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.8.0.php
* Sun Feb  8 2015 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * KAboutData: Call addHelpOption and addVersionOption
    automatically, for convenience and consistency
  * KAboutData: Bring back "Please use http://bugs.kde.org
    to report bugs." when no other email/url is set
  * KAutoSaveFile: allStaleFiles() now works as expected
    for local files, fixed staleFiles() too
  * KRandomSequence now uses int's internally and exposes
    int-api for 64-bit unambiguity
  * Mimetype definitions: *.qmltypes and *.qmlproject files
    also have the text/x-qml mime type
  * KShell: make quoteArgs quote urls with QChar::isSpace(),
    unusual space characters were not handled properly
  * KSharedDataCache: fix creation of directory containing
    the cache (porting bug)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.7.0.php
* Sat Jan  3 2015 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * KDirWatch can now watch /dev/shm as well (kde#314982)
  * KDELibs4Migration now always returns an absolute path
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.6.0.php
* Sat Dec  6 2014 hrvoje.senjan@gmail.com
- Update to 5.5.0
  * Add KTextToHTML class for plaintext->HTML conversion
  * Add KPluginMetaData::metaDataFileName()
  * Allow to read KPluginMetaData from .desktop files
  * Kdelibs4Migration now gives priority to distro-provided
    KDE4_DEFAULT_HOME
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.5.0.php
- Drop 0001-Let-Kdelibs4Migration-searches-in-.kde4-first-it-s-p.patch,
  merged upstream
* Sun Nov  9 2014 Led <ledest@gmail.com>
- fix bashisms in post/postun scripts
* Sun Nov  2 2014 hrvoje.senjan@gmail.com
- Update to 5.4.0
  * Various build fixes (QNX, Ubuntu 14.04)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.4.0.php
* Sat Oct  4 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0
  * Kdelibs4Migration: allow distributions to set
    _KDE4_DEFAULT_HOME_POSTFIX so that the kde4 home
    is found properly.
  * Compilation fixes for MSVC and gcc 4.5
  * Turn KFormat into a Q_GADGET so we can expose its
    properties to QML indirectly
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.3.0.php
- Pass -DKDE4_DEFAULT_HOME=".kde4", used in kdelibs4migration class
* Tue Sep  9 2014 hrvoje.senjan@gmail.com
- Update to 5.2.0
  * KCoreAddons: Mark KAboutData::setProgramIconName() as deprecated,
    it did not do anything.
    Use QApplication::setWindowIcon(QIcon::fromTheme("...")) instead.
  * KCoreAddons: new classes Kdelibs4ConfigMigrator and KPluginMetaData
  * For more details please see:
    http://kde.org/announcements/kde-frameworks-5.2.php
* Tue Aug 26 2014 hrvoje.senjan@gmail.com
- Added 0001-Let-Kdelibs4Migration-searches-in-.kde4-first-it-s-p.patch:
  Let Kdelibs4Migration searches in .kde4 first, it's possible that
  some users have ancient unused config in .kde, and openSUSE
  has .kde4 as default
* Sat Aug  2 2014 hrvoje.senjan@gmail.com
- Update to 5.1.0
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.1.php
- Harden required Qt5 libs versions
- Pass the location of lconvert executable
- Don't own standard directories
* Tue Jul  1 2014 hrvoje.senjan@gmail.com
- Update to 5.0.0
  * Final release of KDE Frameworks 5
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.0.php
* Sun Jun  1 2014 hrvoje.senjan@gmail.com
- Update to 4.100.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta3.php
- Added libqt5-linguist-devel BuildRequires
- Add baselibs.conf
* Sun May  4 2014 hrvoje.senjan@gmail.com
- Update to 4.99.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta2.php
* Sat Mar 29 2014 hrvoje.senjan@gmail.com
- Update to 4.98.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta1.php
* Tue Mar  4 2014 hrvoje.senjan@gmail.com
- Update to 4.97.0:
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-alpha2.php
* Thu Feb 20 2014 hrvoje.senjan@gmail.com
- Create a separate (binary) kcoreaddons package, so library
  package adheres to shlib policy
* Sat Feb  8 2014 hrvoje.senjan@gmail.com
- Init kcoreaddons package
